./emulators/suse131_qt4, Linux compatibility package for Qt4

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 13.1nb4, Package name: suse_qt4-13.1nb4, Maintainer: pkgsrc-users

Linux compatibility package based on the openSUSE Linux distribution.
Please visit http://www.opensuse.org/ for more information about openSUSE
Linux.

This package supports running ELF binaries linked with glibc2 that
require QT4 shared libraries.


Required to run:
[emulators/suse131_x11] [emulators/suse131_fontconfig]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2015-11-03 21:31:11 by Alistair G. Crooks | Files touched by this commit (211)
Log message:
Add SHA512 digests for distfiles for emulators category

Problems found with existing digests:
	Package suse131_libSDL
	1c4d17a53bece6243cb3e6dd11c36d50f851a4f4 [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]
	Package suse131_libdbus
	de99fcfa8e2c7ced28caf38c24d217d6037aaa56 [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]
	Package suse131_qt4
	94daff738912c96ed8878ce1a131cd49fb379206 [recorded]
	886206018431aee9f8a01e1fb7e46973e8dca9d9 [calculated]

Problems found locating distfiles for atari800, compat12, compat 13,
compat14, compat15, compat20, compat30, compat40, compat50,
compat50-x11, compat51, compat51-x11, compat60, compat61,
compat61-x11, fmsx, osf1_lib, vice, xbeeb, xm7.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-07-28 10:49:16 by Thomas Klausner | Files touched by this commit (42) | Package updated
Log message:
Update RPMs from latest openSUSE 13.1 files.
From Rin Okuyama in PR 50082.
   2015-02-16 11:15:50 by Jonathan Perkin | Files touched by this commit (92)
Log message:
Put back PKGNAME definitions.
   2015-02-11 10:38:19 by OBATA Akio | Files touched by this commit (92)
Log message:
Revert
 define PKGNAME instead of fake DISTNAME
PKGNAME is unstable variable in current pkgsrc framework, so packages must not
rely on it.
   2014-12-04 19:52:56 by Blue Rats | Files touched by this commit (2) | Package updated
Log message:
Add libQtWebKit files to this package too. Bump PKGREVISION.
   2014-11-03 10:16:28 by OBATA Akio | Files touched by this commit (2) | Package updated
Log message:
Apply following update to suse131_qt4, bump PKGREVISION to 2.

   openSUSE Recommended Update: libqt4: fix cirrus driver issues
______________________________________________________________________________

Announcement ID:    openSUSE-RU-2014:1251-1
Rating:             moderate
References:         #847880
Affected Products:
                    openSUSE 13.1
______________________________________________________________________________

   An update that has one recommended fix can now be installed.

Description:

   libqt4 was updated to fix the following bug:

   When extracting a region of a QRasterPixmapData an optimization was using
   the wrong bit depth for some calculations thus copying a different section
   of the image than requested. This breaks specially the oxygen kde theme
   under qemu when using a cirrus driver.
   2014-09-07 14:26:44 by OBATA Akio | Files touched by this commit (88)
Log message:
define PKGNAME instead of fake DISTNAME.
   2014-01-25 06:06:38 by OBATA Akio | Files touched by this commit (2) | Package updated
Log message:
Update libqt4 RPMs to 4.8.5-5.9.2 for CVE-2013-4549.

Bump PKGREVISION.